Subject: Re: keychain service--hanging in ssh-add
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Thu, 03 Mar 2005 04:16:23 -0800

Karl M wrote:

> I tracked it down. It is not a problem with keychain, openssh or cygwin.
> 
> Occasionally, on this particular laptop (XP SP2), the user can reboot, log
> in and start a bash shell before all of the services are running or while
> they are still starting. Gotta love Microsoft. So that was causing the
> problem.

You can solve this by using the --dep option of cygrunsrv when you
install the service.  For example I use "--dep Tcpip" or "--dep
dnscache" for Cygwin services that depend on TCP/IP networking and/or
name resolution.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/